summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJonas Smedegaard <dr@jones.dk>2017-03-10 15:19:25 +0100
committerJonas Smedegaard <dr@jones.dk>2017-03-10 15:19:25 +0100
commit3e40090dff94088e0be0781d21eede9b78338960 (patch)
tree843d4a4f08fa823ca9af716936f01b7c57fcc111
parentef7da444d567d8dd7e562d0959f07b357ed23bf5 (diff)
Fail on unsupported video/audio format.
-rwxr-xr-xbin/recv-gst-rtp-v-a8
-rwxr-xr-xbin/send-gst-rtp-v-a8
2 files changed, 16 insertions, 0 deletions
diff --git a/bin/recv-gst-rtp-v-a b/bin/recv-gst-rtp-v-a
index daffd25..2289d04 100755
--- a/bin/recv-gst-rtp-v-a
+++ b/bin/recv-gst-rtp-v-a
@@ -35,6 +35,10 @@ case "$VFORMAT" in
VCAPS=application/x-rtp,media=video,clock-rate=90000,encoding-name=RAW,sampling=YCbCr-4:2:0,depth="(string)8",width="(string)432",height="(string)240",payload=96,a-framerate=30
VDEC="rtpvrawdepay ! videoconvert ! queue"
;;
+ *)
+ echo "ERROR: Unsupported video format: \"$VFORMAT\""
+ exit 1
+ ;;
esac
case "$AFORMAT" in
@@ -50,6 +54,10 @@ case "$AFORMAT" in
ACAPS=application/x-rtp,media=audio,clock-rate=44100,encoding-name=L16,encoding-params=1,channels=1,payload=96
ADEC="rtpL16depay"
;;
+ *)
+ echo "ERROR: Unsupported audio format: \"$AFORMAT\""
+ exit 1
+ ;;
esac
stream() {
diff --git a/bin/send-gst-rtp-v-a b/bin/send-gst-rtp-v-a
index d068068..4fcbb61 100755
--- a/bin/send-gst-rtp-v-a
+++ b/bin/send-gst-rtp-v-a
@@ -43,6 +43,10 @@ case "$VFORMAT" in
RAW|'')
VENC="rtpvrawpay"
;;
+ *)
+ echo "ERROR: Unsupported video format: \"$VFORMAT\""
+ exit 1
+ ;;
esac
case "$AFORMAT" in
@@ -55,6 +59,10 @@ case "$AFORMAT" in
RAW|'')
AENC="rtpL16pay"
;;
+ *)
+ echo "ERROR: Unsupported audio format: \"$AFORMAT\""
+ exit 1
+ ;;
esac
stream() {